document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');
  
  menuToggle.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Simulate live market data
  function updateMarketData() {
    const price = document.getElementById('spx-price');
    const change = document.getElementById('spx-change');
    
    setInterval(() => {
      const currentPrice = parseFloat(price.textContent);
      const random = Math.random() * 2 - 1;
      const newPrice = (currentPrice + random).toFixed(2);
      const changeVal = ((newPrice - 4783.35) / 4783.35 * 100).toFixed(2);
      
      price.textContent = newPrice;
      change.textContent = `${changeVal > 0 ? '+' : ''}${changeVal}%`;
      change.className = `change ${changeVal > 0 ? 'positive' : 'negative'}`;
    }, 3000);
  }

  updateMarketData();

  // Smooth scroll for navigation
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });
});
